Package org.opensaml.xmlsec.encryption

# Interface AlgorithmIdentifierType

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `MGF`, `OtherSource`, `PRF`

All Known Implementing Classes:
  `AlgorithmIdentifierTypeImpl`, `MGFImpl`, `OtherSourceImpl`, `PRFImpl`

public interface AlgorithmIdentifierType extends XMLObject
XMLObject representing XML Encryption, version 1.1, AlgorithmIdentifierType complex type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALGORITHM_ATTRIB_NAME`
Algorithm attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Gets the algorithm URI attribute.
`XMLObject`
`getParameters()`
Gets the Parameters child element.
`void`
`setAlgorithm(String newAlgorithm)`
Sets the algorithm URI attribute.
`void`
`setParameters(XMLObject newParameters)`
Sets the Parameters child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ALGORITHM_ATTRIB_NAME

@Nonnull @NotEmpty static final String ALGORITHM_ATTRIB_NAME
Algorithm attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAlgorithm

@Nullable String getAlgorithm()
Gets the algorithm URI attribute.

Returns:
  the Algorithm attribute URI attribute string

### setAlgorithm

void setAlgorithm(@Nullable String newAlgorithm)
Sets the algorithm URI attribute.

Parameters:
  `newAlgorithm` - the new Algorithm URI attribute string

### getParameters

@Nullable XMLObject getParameters()
Gets the Parameters child element.

Returns:
  the Parameters child element

### setParameters

void setParameters(@Nullable XMLObject newParameters)
Sets the Parameters child element.

Parameters:
  `newParameters` - the new Parameters child element